package com.persagy.apm.service;

import com.persagy.apm.model.*;
import com.persagy.apm.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 监测指标(MonitorIndicator) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-07 18:12:06
 */
public interface IMonitorIndicatorService {

    /**
     * 创建监测指标
     *
     * @param addMonitorIndicatorDTO addDTO
     * @return 监测指标主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    String createMonitorIndicator(AddMonitorIndicatorDTO addMonitorIndicatorDTO);

    /**
     * 监测指标详情
     *
     * @param id 主键
     * @return 监测指标do对象
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    MonitorIndicator queryMonitorIndicatorDetail(String id);

    /**
     * 更新监测指标
     *
     * @param updateMonitorIndicatorDTO updateDTO
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    void updateMonitorIndicator(UpdateMonitorIndicatorDTO updateMonitorIndicatorDTO);

    /**
     * 删除监测指标
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    void deleteMonitorIndicator(String id);

    /**
     * 查询监测指标
     *
     * @param queryMonitorIndicatorDTO queryDTO
     * @return List<MonitorIndicator>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    List<MonitorIndicator> queryMonitorIndicatorList(QueryMonitorIndicatorDTO queryMonitorIndicatorDTO);

    /**
     * 分页查询监测指标
     *
     * @param pageQueryMonitorIndicatorDTO pageQueryDTO
     * @return IPage<MonitorIndicator>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:06
     */
    IPage<MonitorIndicator> pageQueryMonitorIndicator(PageQueryMonitorIndicatorDTO pageQueryMonitorIndicatorDTO);
}
