package com.persagy.apm.service;

import com.persagy.apm.model.*;
import com.persagy.apm.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 项目报警规则与监测对象的关联(ProjectAlarmRuleObjRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-07 18:12:08
 */
public interface IProjectAlarmRuleObjRelService {

    /**
     * 创建项目报警规则与监测对象的关联
     *
     * @param addProjectAlarmRuleObjRelDTO addDTO
     * @return 项目报警规则与监测对象的关联主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    String createProjectAlarmRuleObjRel(AddProjectAlarmRuleObjRelDTO addProjectAlarmRuleObjRelDTO);

    /**
     * 项目报警规则与监测对象的关联详情
     *
     * @param id 主键
     * @return 项目报警规则与监测对象的关联do对象
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    ProjectAlarmRuleObjRel queryProjectAlarmRuleObjRelDetail(String id);

    /**
     * 更新项目报警规则与监测对象的关联
     *
     * @param updateProjectAlarmRuleObjRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    void updateProjectAlarmRuleObjRel(UpdateProjectAlarmRuleObjRelDTO updateProjectAlarmRuleObjRelDTO);

    /**
     * 删除项目报警规则与监测对象的关联
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    void deleteProjectAlarmRuleObjRel(String id);

    /**
     * 查询项目报警规则与监测对象的关联
     *
     * @param queryProjectAlarmRuleObjRelDTO queryDTO
     * @return List<ProjectAlarmRuleObjRel>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    List<ProjectAlarmRuleObjRel> queryProjectAlarmRuleObjRelList(QueryProjectAlarmRuleObjRelDTO queryProjectAlarmRuleObjRelDTO);

    /**
     * 分页查询项目报警规则与监测对象的关联
     *
     * @param pageQueryProjectAlarmRuleObjRelDTO pageQueryDTO
     * @return IPage<ProjectAlarmRuleObjRel>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:08
     */
    IPage<ProjectAlarmRuleObjRel> pageQueryProjectAlarmRuleObjRel(PageQueryProjectAlarmRuleObjRelDTO pageQueryProjectAlarmRuleObjRelDTO);
}
