package com.persagy.apm.service;

import com.persagy.apm.model.*;
import com.persagy.apm.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 项目监测指标配置(ProjectMonitorIndicatorConfig) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-07 18:12:09
 */
public interface IProjectMonitorIndicatorConfigService {

    /**
     * 创建项目监测指标配置
     *
     * @param addProjectMonitorIndicatorConfigDTO addDTO
     * @return 项目监测指标配置主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    String createProjectMonitorIndicatorConfig(AddProjectMonitorIndicatorConfigDTO addProjectMonitorIndicatorConfigDTO);

    /**
     * 项目监测指标配置详情
     *
     * @param id 主键
     * @return 项目监测指标配置do对象
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    ProjectMonitorIndicatorConfig queryProjectMonitorIndicatorConfigDetail(String id);

    /**
     * 更新项目监测指标配置
     *
     * @param updateProjectMonitorIndicatorConfigDTO updateDTO
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    void updateProjectMonitorIndicatorConfig(UpdateProjectMonitorIndicatorConfigDTO updateProjectMonitorIndicatorConfigDTO);

    /**
     * 删除项目监测指标配置
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    void deleteProjectMonitorIndicatorConfig(String id);

    /**
     * 查询项目监测指标配置
     *
     * @param queryProjectMonitorIndicatorConfigDTO queryDTO
     * @return List<ProjectMonitorIndicatorConfig>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    List<ProjectMonitorIndicatorConfig> queryProjectMonitorIndicatorConfigList(QueryProjectMonitorIndicatorConfigDTO queryProjectMonitorIndicatorConfigDTO);

    /**
     * 分页查询项目监测指标配置
     *
     * @param pageQueryProjectMonitorIndicatorConfigDTO pageQueryDTO
     * @return IPage<ProjectMonitorIndicatorConfig>
     * @author lixing
     * @version V1.0 2021-09-07 18:12:09
     */
    IPage<ProjectMonitorIndicatorConfig> pageQueryProjectMonitorIndicatorConfig(PageQueryProjectMonitorIndicatorConfigDTO pageQueryProjectMonitorIndicatorConfigDTO);
}
